#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Goo
%define		pnam	Canvas
Summary:	Goo::Canvas - Perl interface to the GooCanvas
Name:		perl-Goo-Canvas
Version:	0.06
Release:	20
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/Y/YE/YEWENBIN/Goo-Canvas-%{version}.tar.gz
# Source0-md5:	7dfe0be8c17bfd641d18384d4fd8fb23
URL:		http://search.cpan.org/dist/Goo-Canvas/
BuildRequires:	goocanvas-devel >= 0.9
BuildRequires:	perl(ExtUtils::Depends) >= 0.2
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.0
BuildRequires:	perl-Cairo >= 1.00
BuildRequires:	perl-Glib >= 1.103
BuildRequires:	perl-Gtk2-devel >= 1.100
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK+ does't has an buildin canvas widget. GooCanvas is wonderful. It
is easy to use and has powerful and extensible way to create items in
canvas. Just try it.

For more documents, please read GooCanvas Manual and the demo programs
provided in the source distribution in both perl-Goo::Canvas and
GooCanvas.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Goo
%{perl_vendorarch}/Goo/*.pm
%dir %{perl_vendorarch}/auto/Goo
%dir %{perl_vendorarch}/auto/Goo/Canvas
%attr(755,root,root) %{perl_vendorarch}/auto/Goo/Canvas/*.so
%{_mandir}/man3/*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Goo-Canvas.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> 277dd39
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 3f4ae8c
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> b68e845
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> ee356d3
- rebuild with perl 5.34.0

* Sun May 09 2021 Jan Rękorajski <baggins@pld-linux.org> 97bf856
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0ae9ac0
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> dd0951a
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 88321ee
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7146ae4
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> dd828e5
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a40766b
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 2b59ced
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 67c96ec
- release 9 (by relup.sh)

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> bb0ed4e
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4eba7d5
- x32 rebuild
- release 7 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 6754de2
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7818537
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d7cda18
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 5377aa4
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Mon Jul 02 2012 Łukasz Kieś <kiesiu@pld-linux.org> 716cf28
- added missing dirs; rel. 3

